Subject: [PATCH v2 4/6] ARM: dts: omap5: add dwc3 omap dt data

From: [email-masked] (Santosh Shilimkar)
Date: Tue, 5 Feb 2013 14:37:05 +0530

On Tuesday 05 February 2013 02:16 PM, kishon wrote:
> Hi,
>
> On Tuesday 05 February 2013 02:08 PM, Felipe Balbi wrote:
>> On Tue, Feb 05, 2013 at 01:59:26PM +0530, kishon wrote:
>>> On Sunday 27 January 2013 01:17 AM, Sergei Shtylyov wrote:
>>>> Hello.
>>>>
>>>> On 25-01-2013 15:11, Kishon Vijay Abraham I wrote:
>>>>
>>>>> Add dwc3 omap glue data to the omap5 dt data file. The information
>>>>> about
>>>>> the dt node added here is available @
>>>>> Documentation/devicetree/bindings/usb/omap-usb.txt
>>>>
>>>>> Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
>>>>> ---
>>>>>   arch/arm/boot/dts/omap5.dtsi |   11 +++++++++++
>>>>>   1 file changed, 11 insertions(+)
>>>>
>>>>> diff --git a/arch/arm/boot/dts/omap5.dtsi
>>>>> b/arch/arm/boot/dts/omap5.dtsi
>>>>> index 5f59bf2..1703a72 100644
>>>>> --- a/arch/arm/boot/dts/omap5.dtsi
>>>>> +++ b/arch/arm/boot/dts/omap5.dtsi
>>>>> @@ -513,6 +513,17 @@
>>>>>               ti,type = <2>;
>>>>>           };
>>>>>
>>>>> +        omap_dwc3 at 4a020000 {
>>>>> +            compatible = "ti,dwc3";
>>>>> +            ti,hwmods = "usb_otg_ss";
>>>>> +            reg = <0x4a020000 0x1ff>;
>>>>
>>>>     Shoudn't the "reg" length be 0x200 here? It's length, not limit.
>>>
>>> I think 0x1ff is correct. I got the data from hwmod data.
>>
>> hwmod is utterly wrong. Looking at TRM, it says the size here is 64KiB
>> (0x10000), so is the size for dwc3 itself. Please don't blindly trust
>> hwmod, make sure you read data from TRM ;-)
>
> hmm..ok. But it has only 17 registers :-D
>
As Felipe said, it should be 0x200. And if you are
interested in lesser space, there is no need to map entire 64 KB
address space if it isn't being used.

Regards,
Santosh